<template>
  <nuxt-link :to="to" class="link"><span></span><div><slot></slot></div><butter-icon name="chevron-forward-outline" /></nuxt-link>
</template>

<script>
export default {
  props: ['to']
}
</script>

<style lang="scss" scoped>
@import 'butter-themes';
@import 'butter-mixins';
.link {
  @include themify($themes) {
    color: themed('color-text-primary');
  }
  display: flex;
  justify-content: space-between;
  align-items: center;
  text-decoration: none;
  span,div {
    display: flex;
    align-items: center;
  }
}
</style>
